<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：phpwms.membermanage.php
 * 摘　　要：用户后台控制
 * 适用范围：PHPWMS 1.0
 * 版　　本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS')) {exit('phpwms');}
class membermanage_WMS extends base{
	private $_curuser = null;
	protected function init(){
		parent::init();
		$this->_curuser = $this->getCurUser(true);
	}
	public function wmsAction(){
		$this->manageAction();
	}
	public function manageAction(){
		$this->tpl->assign('action', 'showindex');
		$this->setSeo(array('keywords'=>'会员中心', 'title'=>'会员中心'));
		$this->display('member/membermanage.php');
	}
	public function memberinfoAction(){
		$userid = $this->_curuser['id'];
		$url = building_url('member@membermanage', 'memberinfo');
		$this->setSeo(array('title'=>'用户中心-个人信息'));
		if($this->isPost()){
			$post = html_encode($_POST);
			$email = $post['email'];
			$oldemail = $post['oldemail'];
			if($email != $oldemail){
				if(!is_email($email)){
					$this->bgmsg('邮箱格式不正确', $url);
				}
				$num = $this->_check_member_get_num($email, 'email');
				if(!empty($num)){
					$this->bgmsg('邮箱已被用，请更换其它邮箱', $url);
				}
			}
			$data = array(
				'email'=>$email,
				'question'=>$post['question'],
				'answer' =>$post['answer'],
				'nick_name'=>$post['nickname'],
				'true_name'=>$post['truename'],
				'id_card'=>$post['idcard'],
				'birthday'=>empty($post['birthday']) ? '0' : strtotime($post['birthday']) ,
				'mobile'=>$post['mobile'],
				'address'=>$post['address'],
				'qq'=>$post['qq'],
				'sex'=>$post['sex'],
				'homepage'=>$post['homepage'],
				'user_sign'=>$post['usersign'],
			);
			$this->db->update($data, 'user_info', array('id'=>$userid));
			$this->bgmsg('修改个人信息成功', building_url('member@membermanage', ''));
		}else{
			$this->tpl->assign('mem_navigation','个人中心');
			$sql = "SELECT * FROM ##__user_info WHERE `id` = '$userid'";
			$user_info = $this->db->fetch($sql, true);
			$this->tpl->assign('user_info', $user_info);
			$this->tpl->assign('subaction', $url);
			$this->tpl->assign('phpwmstplurl', 'member/memberinfo.php');
			$this->display('member/membermanage.php');
		}
		
	}
	public function editpasswordAction(){
		$url = building_url('member@membermanage', 'editpassword');
		if($this->isPost()){
			// 得到 输入的 老密码
			$post = html_encode($_POST);
			$oldpass = $post['oldpassword'];
			if(strlen($oldpass) < 6){
				$this->bgmsg('旧密码不能小于6位',$url);
			}
			// 得到 新密码
			$password = $post['newpassword'];
			if(strlen($password) < 6){
				$this->bgmsg('新密码不能小于6位',$url);
			}
			// 得到 确认密码
			$repass = $post['repass'];
			if($repass != $password){
				$this->bgmsg('确认密码和新密码不符',$url);
			}
			// 加密
			$oldpass = md5($oldpass);
			$password = md5($password);
			// 得到 id
			$memid = $this->_curuser['id'];
			// 查询 密码是否正确
			$sql = "SELECT id FROM ##__user_info WHERE `id` = '$memid' AND `login_pwd` = '$oldpass'";
			$res = $this->db->fetch($sql, true);
			if(empty($res)){
				$this->bgmsg('旧密码不正确' . $oldpass ,$url);
			}
			// 开始修改密码
			$sql = "UPDATE ##__user_info SET `login_pwd` = '$password' WHERE `id` = '$memid' AND `login_pwd` = '$oldpass'";
			$a = $this->db->query($sql);
			if($a){
				$this->bgmsg('修改成功', building_url('member@membermanage', 'manage'));
			}else{
				$this->bgmsg('修改失败', $url);
			}
		}else{
			$this->tpl->assign('mem_navigation','修改密码');
			$this->setSeo(array('keywords'=>'会员中心-修改密码', 'title'=>'会员中心-修改密码'));
			$this->tpl->assign('phpwmstplurl','member/updatepassword.php');
			$this->tpl->assign('subaction', $url);
			$this->display('member/membermanage.php');
		}
	}
	/**
	 * 退出
	 */
	public function quitAction(){
		unset($_SESSION['phpwmscuruser']);
		$this->bgmsg('退出成功，欢迎下次登录......');
	}
	/**
	 * 检查数据库中会员表是否含有此名称并返回含有的个数
	 * @param string 值
	 * @param string 列名 默认为 查看用户名
	 */
	private function _check_member_get_num($val, $col_type = 'login_name'){
		if(empty($val)){return false;}
		$col_type = empty($col_type) ? 'login_name' : $col_type;
		$sql = "SELECT COUNT(*) as count FROM ##__user_info WHERE `$col_type` = '$val' ";
		$result = $this->db->fetch($sql, true);
		return $result['count'];
	}
}
?>